{include file="header.tpl"}
<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">

		<form method="post" name="pay_period" action="{$smarty.server.SCRIPT_NAME}">
		    <div id="contentBoxTwoEdit">

				{if !$ppf->Validator->isValid()}
					{include file="form_errors.tpl" object="ppf"}
				{/if}

				<table class="editTable">

				<tr onClick="showHelpEntry('status')">
					<td class="{isvalid object="ppf" label="status" value="cellLeftEditTable"}">
						Status:
					</td>
					<td class="cellRightEditTable">
						<select name="status_id">
							{html_options options=$status_options selected=$pay_period_data.status_id}
						</select>
					</td>
				</tr>

				<tr onClick="showHelpEntry('start_date')">
					<td class="{isvalid object="ppf" label="start_date" value="cellLeftEditTable"}">
						Start Date:
					</td>
					<td class="cellRightEditTable">
						{getdate type="DATE+TIME" epoch=$pay_period_data.start_date  default=TRUE}
					</td>
				</tr>

				{if $pay_period_data.pay_period_schedule_type == 40}
				<tr onClick="showHelpEntry('advance_end_date')">
					<td class="{isvalid object="ppf" label="advance_end_date" value="cellLeftEditTable"}">
						Advance End Date:
					</td>
					<td class="cellRightEditTable">
						{getdate type="DATE+TIME" epoch=$pay_period_data.advance_end_date  default=TRUE}
					</td>
				</tr>

				<tr onClick="showHelpEntry('advance_transaction_date')">
					<td class="{isvalid object="ppf" label="advance_transaction_date" value="cellLeftEditTable"}">
						Advance Transaction Date:
					</td>
					<td class="cellRightEditTable">
						{getdate type="DATE+TIME" epoch=$pay_period_data.advance_transaction_date  default=TRUE}
					</td>
				</tr>

				<tr onClick="showHelpEntry('advance_pending_shift_amendments')">
					<td class="{isvalid object="ppf" label="advance_pending_shift_amendments" value="cellLeftEditTable"}">
						Advance Pending Requests:
					</td>
					<td class="cellRightEditTable" style="background: {if $pay_period_data.advance_pending_requests > 0}red{else}green{/if};">
						{$pay_period_data.advance_pending_requests}
					</td>
				</tr>
				<tr onClick="showHelpEntry('pending_shift_amendments')">
					<td class="{isvalid object="ppf" label="pending_shift_amendments" value="cellLeftEditTable"}">
						Advance Exceptions:
					</td>
					<td class="cellRightEditTable">
						<b>
						{$advance_exceptions.low}
						/ <font color="blue">{$advance_exceptions.med}</font>
						/ <font color="red">{$advance_exceptions.high}</font>
						</b>
					</td>
				</tr>

				{/if}
				<tr onClick="showHelpEntry('end_date')">
					<td class="{isvalid object="ppf" label="end_date" value="cellLeftEditTable"}">
						End Date:
					</td>
					<td class="cellRightEditTable">
						{getdate type="DATE+TIME" epoch=$pay_period_data.end_date  default=TRUE}
					</td>
				</tr>

				<tr onClick="showHelpEntry('transaction_date')">
					<td class="{isvalid object="ppf" label="transaction_date" value="cellLeftEditTable"}">
						Transaction Date:
					</td>
					<td class="cellRightEditTable">
						{getdate type="DATE+TIME" epoch=$pay_period_data.transaction_date  default=TRUE}
					</td>
				</tr>

				<tr onClick="showHelpEntry('total_punches')">
					<td class="{isvalid object="ppf" label="total_punches" value="cellLeftEditTable"}">
						Total Punches:
					</td>
					<td class="cellRightEditTable">
						{$pay_period_data.total_punches}
					</td>
				</tr>

				<tr onClick="showHelpEntry('pending_requests')">
					<td class="{isvalid object="ppf" label="pending_requests" value="cellLeftEditTable"}">
						Pending Requests:
					</td>
					<td class="cellRightEditTable" style="background: {if $pay_period_data.pending_requests > 0}red{else}green{/if};">
						{$pay_period_data.pending_requests}
					</td>
				</tr>

				<tr onClick="showHelpEntry('pending_shift_amendments')">
					<td class="{isvalid object="ppf" label="pending_shift_amendments" value="cellLeftEditTable"}">
						Exceptions:
					</td>
					<td class="cellRightEditTable">
						<b>
						{$exceptions.low}
						/ <font color="blue">{$exceptions.med}</font>
						/ <font color="red">{$exceptions.high}</font>
						</b>
					</td>
				</tr>

				{if $pay_period_data.status_id != 20}
				<tr onClick="showHelpEntry('pending_shift_amendments')">
					<td class="cellLeftEditTable">
						Action:
					</td>
					<td class="cellRightEditTable">
						<input type="submit" class="button" name="action" value="Generate Paystubs">
						{if $pay_period_data.pay_period_schedule_type == 40
							AND $current_epoch >= $pay_period_data.advance_end_date}
						<input type="submit" class="button" name="action" value="Close Advance Paystubs" onClick="return confirmSubmit('Once Pay Stub\'s are closed they cannot be re-opened, and Pay Stubs cannot be modified.\nAre you sure you want to close Advance Pay Stubs now?')">
						{/if}
						<input type="submit" class="button" name="action" value="Import" onClick="return confirmSubmit('This will import Employee shifts from other pay periods in to this pay period.\nAre you sure you want to continue?') }">
					</td>
				</tr>
				{/if}

			</table>
		</div>

		<div id="contentBoxFour">
			<input type="submit" class="btnSubmit" name="action" value="Submit" onClick="javascript: if (document.pay_period.status_id.value == 20) {literal}{ return confirmSubmit('Once a Pay Period is closed it cannot be re-opened, and Pay Stubs cannot be modified.\nAre you sure you want to close this Pay Period now?') }{/literal}">
{*
			{if $pay_period_data.status_id != 20 }
			<input type="submit" class="button" name="action" value="Generate Paystubs">
			<input type="submit" class="button" name="action" value="Close Paystubs">
			{/if}

			{if $pay_period_data.status_id != 10}
			<input type="submit" class="button" name="action" value="Open">
			{/if}

			{if time() > $pay_period_data.end_date
				AND $pay_period_data.status_id != 20}
			<input type="submit" class="button" name="action" value="Approve">
			<input type="submit" class="button" name="action" value="Close">
			{/if}
*}
		</div>

		<input type="hidden" name="pay_period_id" value="{$pay_period_data.id}">
		</form>
	</div>
</div>
{include file="footer.tpl"}
