{include file="header.tpl"}
<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title} {$APPLICATION_NAME}</span></div>
</div>
<div id="rowContentInner">
		<table class="editTable">
		<form method="get" action="{$smarty.server.SCRIPT_NAME}">
				<tr>
					<td class="tblPagingLeft" colspan="7" align="right">
						<br>
					</td>
				</tr>

				<tr class="tblDataWhiteNH">
					<td colspan="2">
						<br>
						<a href="http://www.timetrex.com"><img src="{$IMAGES_URL}timetrex_logo_wbg_small2.jpg" width="167" height="42" alt="TimeTrex"></a>
						<br>
						<br>
					</td>
				</tr>

				{if $system_settings.new_version == 1}
				<tr class="tblDataWarning">
					<td colspan="2">
						<br>
						<b>NOTICE:</b> There is a new version of <b>TimeTrex</b> available.
						<br>
						This version may contain tax table updates necessary for accurate payroll calculation, we recommend that you upgrade as soon as possible.
						<br>
						The latest version can be downloaded at: <a href="http://www.timetrex.com/?upgrade=1" target="_blank"><b>www.TimeTrex.com</b></a>
						<br>
						<br>
					</td>
				</tr>
				{/if}

				<tr onClick="showHelpEntry('version')">
					<td class="cellLeftEditTable">
						Product Edition:
					</td>
					<td class="cellRightEditTable">
						{$data.product_edition}
					</td>
				</tr>

				<tr onClick="showHelpEntry('version')">
					<td class="cellLeftEditTable">
						Version:
					</td>
					<td class="cellRightEditTable">
						{$data.system_version}
					</td>
				</tr>

				<tr onClick="showHelpEntry('tax_engine_version')">
					<td class="cellLeftEditTable">
						Tax Engine Version:
					</td>
					<td class="cellRightEditTable">
						{$data.tax_engine_version}
					</td>
				</tr>

				<tr onClick="showHelpEntry('tax_data_version')">
					<td class="cellLeftEditTable">
						Tax Data Version:
					</td>
					<td class="cellRightEditTable">
						{$data.tax_data_version}
					</td>
				</tr>

				<tr>
					<td colspan="2" class="cellLeftEditTable">
						<div align="center">Schema Version</div>
					</td>
				</tr>

				{if $data.schema_version_group_A != '' }
				<tr onClick="showHelpEntry('schema_version')">
					<td class="cellLeftEditTable">
						Group A:
					</td>
					<td class="cellRightEditTable">
						{$data.schema_version_group_A}
					</td>
				</tr>
				{/if}

				{if $data.schema_version_group_B != '' }
				<tr onClick="showHelpEntry('schema_version')">
					<td class="cellLeftEditTable">
						Group B:
					</td>
					<td class="cellRightEditTable">
						{$data.schema_version_group_B}
					</td>
				</tr>
				{/if}

				{if $data.schema_version_group_T != '' }
				<tr onClick="showHelpEntry('schema_version')">
					<td class="cellLeftEditTable">
						Group T:
					</td>
					<td class="cellRightEditTable">
						{$data.schema_version_group_T}
					</td>
				</tr>
				{/if}

				{if $data.user_counts.this_month.max_active_users != '' OR $data.user_counts.last_month.max_active_users != ''}
				<tr>
					<td colspan="2" class="cellLeftEditTable">
						<div align="center">Employees (Active / InActive)</div>
					</td>
				</tr>
				{/if}

				{if $data.user_counts.this_month.max_active_users != ''}
				<tr onClick="showHelpEntry('schema_version')">
					<td class="cellLeftEditTable">
						{$data.user_counts.this_month.label}:
					</td>
					<td class="cellRightEditTable">
						{$data.user_counts.this_month.max_active_users} / {$data.user_counts.this_month.max_inactive_users}
					</td>
				</tr>
				{/if}

				{if $data.user_counts.last_month.max_active_users != ''}
				<tr onClick="showHelpEntry('schema_version')">
					<td class="cellLeftEditTable">
						{$data.user_counts.last_month.label}:
					</td>
					<td class="cellRightEditTable">
						{$data.user_counts.last_month.max_active_users} / {$data.user_counts.last_month.max_inactive_users}
					</td>
				</tr>
				{/if}

				<tr>
					<td class="tblPagingLeft" colspan="7" align="right">
						<br>
					</td>
				</tr>
			</table>
		</form>
	</div>
</div>
{include file="footer.tpl"}